# Author:  Jianqun (https://jianqun.me)
# Updated: 2026-05-07

# Track Selection

alang=zh,en
slang=zh,en

# Video

hwdec=auto
hwdec-codecs=all

# Audio

volume=100
volume-max=100

# Subtitles

sub-auto=fuzzy
sub-font="Sarasa Mono SC"
sub-font-size=20

# Window

keep-open=yes
geometry=50%:50%
autofit=80%x80%
hidpi-window-scale=yes

# OSD

osd-font="Sarasa Mono SC"
osd-font-size=20

# Screenshot

screenshot-template="%F_%wH%wM%wS"
screenshot-dir=~/pictures/screenshots

# Terminal

term-osd-bar=yes
term-osd-bar-chars="[##.]"

# Network

user-agent="Mozilla/5.0 mpv/1.0"
